LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XFlatParagraph Interface Reference

provides functionality to ... More...

`import"XFlatParagraph.idl";`

Inheritance diagram for XFlatParagraph:

## Public Member Functions
string | getText ()
| get the content of the paragraph More...
boolean | isModified ()
| check whether the content has been modified More...
void | setChecked ([in] long nType, [in] boolean bVal)
| change the "checked" flag of the respective text node, i.e., mark the text node as "processed" More...
boolean | isChecked ([in] long nType)
| returns whether the respective text node has already been processed More...
com::sun::star::lang::Locale | getLanguageOfText ([in] long nPos, [in] long nLen) raises ( com::sun::star::lang::IllegalArgumentException )
| get the language of the specific text More...
com::sun::star::lang::Locale | getPrimaryLanguageOfText ([in] long nPos, [in] long nLen) raises ( com::sun::star::lang::IllegalArgumentException )
| get the single most probable language of the specific text, especially after getLanguageOfText fails More...
void | changeText ([in] long nPos, [in] long nLen, [in] string NewText, [in] sequence<::com::sun::star::beans::PropertyValue > aAttributes) raises ( com::sun::star::lang::IllegalArgumentException )
| replace the specific text with new text. More...
void | changeAttributes ([in] long nPos, [in] long nLen, [in] sequence<::com::sun::star::beans::PropertyValue > aAttributes) raises ( com::sun::star::lang::IllegalArgumentException )
| replace the attributes of the specific text with the given set of attributes. More...
sequence< long > | getLanguagePortions ()
| get a list of indexes that separate each two different languages More...
Public Member Functions inherited from XTextMarkup
com::sun::star::container::XStringKeyMap | getMarkupInfoContainer ()
| obtains a container to store additional user defined text markup information. More...
void | commitStringMarkup ([in] long nType, [in] string aIdentifier, [in] long nStart, [in] long nLength, [in] com::sun::star::container::XStringKeyMap xMarkupInfoContainer)
| submits a new markup range. More...
void | commitTextRangeMarkup ([in] long nType, [in] string aIdentifier, [in] com::sun::star::text::XTextRange xRange, [in] com::sun::star::container::XStringKeyMap xMarkupInfoContainer)

## Detailed Description

provides functionality to ...

Since
  OOo 3.0

## Member Function Documentation

void changeAttributes | ( | [in] long | nPos,
|  | [in] long | nLen,
|  | [in] sequence<::com::sun::star::beans::PropertyValue > | aAttributes
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

replace the attributes of the specific text with the given set of attributes.

Parameters

  nPos | start index of the text.
  nLen | the length of the text.
  aAttributes | the given set of attributes e.g. Language.

Exceptions

  IllegalArgumentException | when any argument is wrong.

void changeText | ( | [in] long | nPos,
|  | [in] long | nLen,
|  | [in] string | NewText,
|  | [in] sequence<::com::sun::star::beans::PropertyValue > | aAttributes
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

replace the specific text with new text.

Parameters

  nPos | start index of the text.
  nLen | the length of the text.
  NewText | new text.
  aAttributes | the given set of attributes e.g. Language

Exceptions

  IllegalArgumentException | when any argument is wrong.

com::sun::star::lang::Locale getLanguageOfText | ( | [in] long | nPos,
|  | [in] long | nLen
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

get the language of the specific text

Parameters

  nPos | start index of the text.
  nLen | the length of the text.

Returns
  the locale for the language identified. If no language could be identified, the locale will be empty.

Exceptions

  IllegalArgumentException | when any argument is wrong.

sequence< long > getLanguagePortions | ( |  | ) |

get a list of indexes that separate each two different languages

Returns
  a list of indices.

com::sun::star::lang::Locale getPrimaryLanguageOfText | ( | [in] long | nPos,
|  | [in] long | nLen
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

get the single most probable language of the specific text, especially after getLanguageOfText fails

Parameters

  nPos | start index of the text.
  nLen | the length of the text.

Returns
  the locale for the language identified.

Exceptions

  IllegalArgumentException | when any argument is wrong.

string getText | ( |  | ) |

get the content of the paragraph

Returns
  the content of the paragraph.

boolean isChecked | ( | [in] long | nType | ) |

returns whether the respective text node has already been processed

Parameters

  nType | type, see TextMarkupType.

Returns
  `TRUE` if the respective text node has been checked `FALSE` otherwise.

boolean isModified | ( |  | ) |

check whether the content has been modified

Returns
  `TRUE` if the content has been modified, `FALSE` otherwise.

void setChecked | ( | [in] long | nType,
|  | [in] boolean | bVal
| ) |  |

change the "checked" flag of the respective text node, i.e., mark the text node as "processed"

Parameters

  nType | type, see TextMarkupType.
  bVal | `TRUE` the respective text node has been processed `FALSE` the respective text node needs to be processed again later

The documentation for this interface was generated from the following file:

- com/sun/star/text/XFlatParagraph.idl